package com.sifang.modules.order.utils;

/**
 * 消息的具体类，比如工单的过程消息和备件端反馈消息等用来解析json字符串存储的
 * 
 * @author ivan
 *
 */
public class Target {

	public static final int ORDER_ZZJ = 0;
	public static final int NEW_ORDER = 1;
	public static final int DISPATCH_ORDER = 2;
	public static final int REDIRECT_DISPATCH_ORDER = 3;
	public static final int WAIT_NOT_DISPATCH = 4;
	public static final int CANCEL_WAIT_NOT_DISPATCH = 5;
	public static final int INVALID_ORDER = 6;
	public static final int ACCEPT_ORDER = 7;
	public static final int REJECT_ORDER = 8;
	public static final int MODIFY_YY_TIME = 9;
	public static final int MODIFY_YHMSG = 10;
	public static final int MESS_CALLBACK = 13;
	public static final int MESS_CALLBACK_TWICE = 14;
	public static final int MESS_SETTLEMENT = 15;
	public static final int DIRECTLY_CLOSE = 16;
	public static final int FEEDBACK_CLOSE = 17;
	public static final int COMPLETE_ORDER = 18;
	public static final int MARK_ORDER = 19;


	private String p;
	private String c;
	private String d;

	private int t;

	public String getP() {
		return p;
	}

	public void setP(String p) {
		this.p = p;
	}

	public String getC() {
		return c;
	}

	public void setC(String c) {
		this.c = c;
	}

	public String getD() {
		return d;
	}

	public void setD(String d) {
		this.d = d;
	}

	public int getT() {
		return t;
	}

	public void setT(int t) {
		this.t = t;
	}
}
